package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(music_group_calender_refund_period):
 */
public class MusicGroupCalenderRefundPeriod {

	/**  */
	private Integer id;
	
	@ApiModelProperty(value = "分部",required = false)
	private Integer organId;
	
	@ApiModelProperty(value = "合作单位编号",required = false)
	private Integer cooperationOrganId;
	
	@ApiModelProperty(value = "缴费项目编号",required = false)
	private Long calenderId;
	
	@ApiModelProperty(value = "回款时间",required = false)
	private String refundDate;
	
	@ApiModelProperty(value = "回款金额",required = false)
	private java.math.BigDecimal refundAmount;

	@ApiModelProperty(value = "已回款金额",required = false)
	private java.math.BigDecimal income = BigDecimal.ZERO;
	
	@ApiModelProperty(value = "剩余待回款金额",required = false)
	private java.math.BigDecimal subRefundAmount;

	@ApiModelProperty(value = "是否完成回款",required = false)
	private Boolean refundFlag = false;

	@ApiModelProperty(value = "订单编号",required = false)
	private String orderNos;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getOrderNos() {
		return orderNos;
	}

	public void setOrderNos(String orderNos) {
		this.orderNos = orderNos;
	}

	public BigDecimal getIncome() {
		return income;
	}

	public void setIncome(BigDecimal income) {
		this.income = income;
	}

	public Boolean getRefundFlag() {
		return refundFlag;
	}

	public void setRefundFlag(Boolean refundFlag) {
		this.refundFlag = refundFlag;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setOrganId(Integer organId){
		this.organId = organId;
	}
	
	public Integer getOrganId(){
		return this.organId;
	}
			
	public void setCooperationOrganId(Integer cooperationOrganId){
		this.cooperationOrganId = cooperationOrganId;
	}
	
	public Integer getCooperationOrganId(){
		return this.cooperationOrganId;
	}
			
	public void setCalenderId(Long calenderId){
		this.calenderId = calenderId;
	}
	
	public Long getCalenderId(){
		return this.calenderId;
	}
			
	public void setRefundDate(String refundDate){
		this.refundDate = refundDate;
	}
	
	public String getRefundDate(){
		return this.refundDate;
	}
			
	public void setRefundAmount(java.math.BigDecimal refundAmount){
		this.refundAmount = refundAmount;
	}
	
	public java.math.BigDecimal getRefundAmount(){
		return this.refundAmount;
	}
			
	public void setSubRefundAmount(java.math.BigDecimal subRefundAmount){
		this.subRefundAmount = subRefundAmount;
	}
	
	public java.math.BigDecimal getSubRefundAmount(){
		return this.subRefundAmount;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
